from fastapi import FastAPI,Request
from fastapi.middleware.cors import CORSMiddleware
from fastapi.responses import HTMLResponse
from fastapi.staticfiles import StaticFiles
from fastapi.templating  import Jinja2Templates
import os

def get_application():
    _app = FastAPI(debug=False,title="MyHome",docs_url=None,redoc_url=None)

    _app.add_middleware(
        CORSMiddleware,
        allow_origins=["*"],
        allow_credentials=True,
        allow_methods=["*"],
        allow_headers=["*"],
    )
    return _app

app=get_application()

app.mount("/static",StaticFiles(directory="static"),name="static")
templates = Jinja2Templates(directory="templates")\

## TODO Сделать полноценный микроблог
@app.get("/")
def index(request:Request):
    return templates.TemplateResponse("index.html",{"request":request})

## TODO Сделать вывод через вебсокет
@app.get("/cv")
def resume(request:Request):
    with open("cv.py") as cv:
        code_result=os.popen("python3 cv.py").read()
        return  templates.TemplateResponse("cv.html",{"request":request,
                                                        "cv":cv.read(),
                                                        "code_result":code_result})

@app.get("/pycoral")
def index(request:Request):
    return templates.TemplateResponse("pycoral.html",{"request":request})
